commit:     763c201b20e92068be8664fdffafa0f13bb40303
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  4 01:07:18 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Dec  4 01:07:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=763c201b

app-emulation/docker-registry: Version bump to 2.7.0

Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>
Package-Manager: Portage-2.3.52, Repoman-2.3.11

 app-emulation/docker-registry/Manifest             |  1 +
 .../docker-registry/docker-registry-2.7.0.ebuild   | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/app-emulation/docker-registry/Manifest 
b/app-emulation/docker-registry/Manifest
index 68d14743b41..0b420bbbe03 100644
--- a/app-emulation/docker-registry/Manifest
+++ b/app-emulation/docker-registry/Manifest
@@ -1 +1,2 @@
 DIST docker-registry-2.6.2.tar.gz 1579760 BLAKE2B 
d0e067f2e9124847b5e362f23ca7d67655fbf0a6227efc3fd9073d5360389d6d8531e5709b52225c54e6e3097a2d5d79102e27fd09412b95d2e5d8a4a30dde2d
 SHA512 
a091db2e15d7c1dc8cd39a40de5bb63cc1ead68e95dfaf6b3735a789adb87f146c03eff81f700e0059e5f6ffc43e6c3dd3358503697882cb080b991629f82c60
+DIST docker-registry-2.7.0.tar.gz 1996485 BLAKE2B 
49022546b72a1ea2b457a3dc059d8940bfba3070208b2962f8acd1351312d568d6facc1690ae8ee78742b5647c3a84bd6538a9eb0c279aec0a8dfae2c823fa61
 SHA512 
72bf5f0953c58e4d1adf6427ee13a9456204ab278d4489277e4dd1b3a3df6717cc02c966cdfcdf77d86e769209fa18e377e0b12a6c02b9f58980185e9844aec6

diff --git a/app-emulation/docker-registry/docker-registry-2.7.0.ebuild 
b/app-emulation/docker-registry/docker-registry-2.7.0.ebuild
new file mode 100644
index 00000000000..152ac01305b
--- /dev/null
+++ b/app-emulation/docker-registry/docker-registry-2.7.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-vcs-snapshot systemd user
+
+KEYWORDS="~amd64"
+EGO_PN="github.com/docker/distribution"
+EGIT_COMMIT="v${PV}"
+SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+DESCRIPTION="Docker Registry 2.0"
+HOMEPAGE="https://github.com/docker/distribution";
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+SVCNAME=registry
+
+pkg_setup() {
+       enewgroup ${SVCNAME}
+       enewuser ${SVCNAME} -1 -1 /dev/null ${SVCNAME}
+}
+
+src_compile() {
+       GOPATH="${S}" \
+               go install -v -work -x ${EGO_BUILD_FLAGS} "${EGO_PN}/..." || die
+}
+
+src_install() {
+       exeinto /usr/libexec/${PN}
+       doexe bin/*
+       insinto /etc/docker/registry
+       newins src/${EGO_PN}/cmd/registry/config-example.yml config.yml.example
+       newinitd "${FILESDIR}/${SVCNAME}.initd" "${SVCNAME}"
+       newconfd "${FILESDIR}/${SVCNAME}.confd" "${SVCNAME}"
+       systemd_dounit "${FILESDIR}/${SVCNAME}.service"
+       keepdir /var/{lib,log}/${SVCNAME}
+       fowners ${SVCNAME}:${SVCNAME} /var/{lib,log}/${SVCNAME}
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${SVCNAME}.logrotated" "${SVCNAME}"
+}

Reply via email to